#!/bin/sh

DBPATH="/var/squidGuard/blacklists"

if [ "x$1" == "x" ]
then
	if [ ! -d $DBPATH ]
	then
		DBPATH=`pwd | sed 's,\./,,g'`
	fi
else
	DBPATH=$1
fi

if [ ! -d $DBPATH ]
then
	echo "No such directory $DBPATH"
	exit 1
fi

for d in `find $DBPATH -type d`
do
	DIR=`echo $d | sed "s,$DBPATH/,,g"`
	for file in urls domains
	do
		if [ -f "$DBPATH/$DIR/$file" ]
		then
			/usr/bin/c-icap-mods-sguardDB -db $DBPATH/$DIR -f $file -C
		fi
	done
	if [ $d != $DBPATH ]
	then
		if [ -f "$DBPATH/CATEGORIES" ]
		then
			MSG=`grep "^$DIR " $DBPATH/CATEGORIES | awk '{ for(i=3;i<NF;i++) { printf("%s%s", $i, OFS=" ")} print $NF }'`
		else
			MSG="SquidGuard $DIR site"
		fi
		if [ "x$MSG" == "x" ]
		then
			MSG="SquidGuard $DIR site"
		fi
		echo "url_check.LoadSquidGuardDB $DIR $DBPATH/$DIR/ \"$MSG\""
	fi
done
